USN-3486-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3486-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3486-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3486-1
Related
Published
2017-11-21T13:12:48.433582Z
Modified
2017-11-21T13:12:48.433582Z
Summary
samba vulnerabilities
Details

Yihan Lian and Zhibin Hu discovered that Samba incorrectly handled memory when processing certain SMB1 requests. A remote attacker could possibly use this issue to execute arbitrary code. (CVE-2017-14746)

Volker Lendecke discovered that Samba incorrectly cleared memory when returning data to a client. A remote attacker could possibly use this issue to obtain sensitive information. (CVE-2017-15275)

References

Affected packages

Ubuntu:14.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.3.11+dfsg-0ubuntu0.14.04.13

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient0": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libwbclient-dev": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-libs": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-dsdb-modules": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-common-bin": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "registry-tools": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "python-samba": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-doc": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libnss-winbind": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-vfs-modules": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "winbind": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libsmbsharemodes0": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-common": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libpam-winbind": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "smbclient": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-testsuite": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "samba-dev": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libparse-pidl-perl": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libpam-smbpass": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libsmbsharemodes-dev": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libsmbclient": "2:4.3.11+dfsg-0ubuntu0.14.04.13",
            "libsmbclient-dev": "2:4.3.11+dfsg-0ubuntu0.14.04.13"
        }
    ]
}

Ubuntu:16.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.3.11+dfsg-0ubuntu0.16.04.12

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "python-samba": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-dsdb-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-common-bin": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "registry-tools": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-libs": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "ctdb": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "libnss-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-vfs-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-common": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "libpam-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "smbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-testsuite": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "libparse-pidl-perl": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "libsmbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "samba": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "libwbclient0": "2:4.3.11+dfsg-0ubuntu0.16.04.12",
            "libsmbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.12"
        }
    ]
}